<eui-page>
  <eui-page-content class="eui-u-flex">
    <eui-breadcrumb id="eui-breadcrumb">
      <eui-breadcrumb-item link="/screen/eliSearch" label="{{ 'elis.search.title' | translate }}"></eui-breadcrumb-item>
    </eui-breadcrumb>
    <div class="ecl-container">
      <div class="elis-disclaimer" [innerHTML]="'elis.disclaimer' | translate"></div>
      <h1 class="elis-page-title">{{ 'elis.search.title' | translate }}</h1>
      <div>
        <form [formGroup]="searchForm" (ngSubmit)="onSubmit()">
          <!-- Column content -->
          <div>
            <p [innerHTML]="'elis.search.description' | translate"></p>
            <h2>{{ 'elis.search.subtitle.title' | translate }}</h2>
            <p [innerHTML]="'elis.search.subtitle.description' | translate"></p>

            <div
              id="elis-sticky-panel"
              class="elis-buttons-row eui-u-p-s eui-u-flex eui-u-flex-justify-content-end elis-sticky-panel"
            >
              <div class="eui-u-flex eui-u-ml-s eui-u-mr-l">
                <div class="elis-messages eui-u-flex" *ngIf="searchService.hasError()">
                  <div class="ecl-u-d-flex ecl-u-align-items-center">
                    <img alt="error icon" class="elis-error-icon" src="/assets/images/Warning_icon.png" />
                    <strong>{{ 'elis.search.error' | translate }}</strong>
                  </div>
                </div>

                <div class="elis-messages eui-u-flex" *ngIf="searchService.hasNoSearchParams()">
                  <div class="ecl-u-d-flex ecl-u-align-items-center">
                    <img alt="error icon" class="elis-error-icon" src="/assets/images/Warning_icon.png" />
                    <strong>{{ 'elis.search.noSearchParams' | translate }}</strong>
                  </div>
                </div>
              </div>
              <button
                type="button"
                euiButton
                class="eui-u-mr-s"
                (click)="clearParams()"
                [euiDisabled]="searchService.isLoading()"
              >
                {{ 'elis.search.button.clear' | translate }}
              </button>
              <button
                euiButton
                class="elis-submit eui-u-mr-s"
                euiPrimary
                [euiDisabled]="searchService.isLoading() || !searchForm.valid"
              >
                {{ 'elis.search.button.search' | translate }}
                <svg *ngIf="searchService.isLoading()" class="ecl-spinner__loader" viewBox="25 25 50 50">
                  <circle
                    class="ecl-spinner__circle"
                    cx="50"
                    cy="50"
                    r="20"
                    fill="none"
                    stroke-width="4px"
                    stroke-miterlimit="10"
                    vector-effect="non-scaling-stroke"
                  ></circle>
                </svg>
              </button>
            </div>

            <elis-form-field
              [fieldName]="'elis.search.criteria.country.sectionTitle' | translate"
              [expandable]="false"
              [tipsText]="'elis.search.criteria.country.tips' | translate"
            >
              <div class="eui-u-inline-flex eui-u-flex-wrap">
                <div>
                  <input euiInputCheckBox id="cc-all" formControlName="allCountries" />
                  <label euiLabel for="cc-all">{{ 'elis.search.criteria.country.allCountries' | translate }}</label>
                </div>
                <ng-container
                  *ngFor="let checkbox of searchForm.countryCheckboxOptions; let i = index"
                  class="eui-u-mb-s"
                  formGroupName="countriesGroup"
                >
                  <input
                    euiInputCheckBox
                    name="checkbox"
                    id="country-{{ i }}"
                    formControlName="{{ checkbox.controlName }}"
                  />
                  <label euiLabel for="country-{{ i }}">{{ 'elis.country.' + checkbox.value | translate }}</label>
                </ng-container>
              </div>
              <elis-metadata-details-link
                [marginTop]="true"
                [countries]="searchForm.buildCountryList()"
              ></elis-metadata-details-link>
              <elis-validation-message
                *ngIf="searchForm.controls['countriesGroup']?.errors?.requireOneCheckboxToBeChecked"
                [validationMessageKey]="'elis.search.criteria.country.error.required'"
              />
            </elis-form-field>

            <!--            <elis-form-field [fieldName]="'elis.search.criteria.country.sectionTitle' | translate" [expandable]="false">-->
            <!--              <div class="eui-u-inline-flex eui-u-flex-wrap">-->
            <!--                <div>-->
            <!--                  <input euiInputRadio id="cc-all" name="countries" formControlName="country" value="UNDEF" checked />-->
            <!--                  <label euiLabel for="cc-all">{{ 'elis.search.criteria.country.allCountries' | translate }}</label>-->
            <!--                </div>-->

            <!--                <div>-->
            <!--                  <input euiInputRadio id="cc-lux" name="countries" formControlName="country" value="LUX" />-->
            <!--                  <label euiLabel for="cc-lux">Luxembourg</label>-->
            <!--                </div>-->

            <!--                <div>-->
            <!--                  <input euiInputRadio id="cc-es" name="countries" formControlName="country" value="ESP" />-->
            <!--                  <label euiLabel for="cc-es">Spain</label>-->
            <!--                </div>-->

            <!--                <div>-->
            <!--                  <input euiInputRadio id="cc-po" name="countries" formControlName="country" value="PRT" />-->
            <!--                  <label euiLabel for="cc-po">Portugal</label>-->
            <!--                </div>-->
            <!--              </div>-->
            <!--            </elis-form-field>-->

            <!--            <div class="elis-section-header eui-u-p-m eui-u-pl-xl eui-u-mt-xl">-->
            <!--              <h2>{{ 'elis.search.criteria.nat.categoryTitle' | translate }}</h2>-->
            <!--            </div>-->

            <elis-search-section [sectionName]="'elis.search.criteria.nat.categoryTitle' | translate">
              <!-- for later delivery -->
              <!--elis-form-field
              [fieldName]="'elis.search.criteria.nat.title.sectionTitle' | translate"
              [tipsText]="'elis.search.criteria.nat.title.tips' | translate"
            >
              <div class="eui-u-mb-m">
                <label euiLabel for="text_search_1">{{
                  'elis.search.criteria.nat.title.findResultsContaining' | translate
                }}</label>
                <input
                  euiInputText
                  id="text_search_1"
                  placeholder="{{ 'elis.search.criteria.inputPlaceholder' | translate }}"
                />
              </div>

              <div>
                <div class="eui-u-mb-s">
                  <input euiInputRadio id="text-or" name="text-bool" value="or" />
                  <label euiLabel for="text-or">{{ 'elis.search.criteria.or' | translate }}</label>

                  <input euiInputRadio id="text-and" name="text-bool" value="and" checked />
                  <label euiLabel for="text-and">{{ 'elis.search.criteria.and' | translate }}</label>

                  <input euiInputRadio id="text-not" name="text-bool" value="not" checked />
                  <label euiLabel for="text-not">{{ 'elis.search.criteria.not' | translate }}</label>
                </div>

                <input
                  euiInputText
                  id="text_search_2"
                  placeholder="{{ 'elis.search.criteria.inputPlaceholder' | translate }}"
                />
              </div>
            </elis-form-field-->

              <elis-form-field
                *ngIf="searchForm.singleCountrySelected"
                [fieldName]="'elis.search.criteria.nat.uri.sectionTitle' | translate"
                [tipsText]="'elis.search.criteria.nat.uri.tips' | translate"
              >
                <div class="eui-u-mb-m">
                  <label euiLabel for="nat-act-uri">{{
                    'elis.search.criteria.nat.uri.nationalIdentifier' | translate
                  }}</label>

                  <input
                    euiInputText
                    id="nat-act-uri"
                    name="nat-act-uri"
                    placeholder="{{ 'elis.search.criteria.inputPlaceholder' | translate }}"
                    formControlName="NatActURI"
                  />
                </div>
              </elis-form-field>

              <elis-form-field
                [fieldName]="'elis.search.criteria.nat.date.sectionTitle' | translate"
                [tipsText]="'elis.search.criteria.nat.date.tips' | translate"
              >
                <div class="ecl-row eui-u-mb-l">
                  <div id="byDateType" class="ecl-col-12 ecl-col-m-4 ecl-col-l-6">
                    <div class="eui-u-mb-s">
                      <label euiLabel for="date-type">{{ 'elis.search.criteria.nat.date.type' | translate }} </label>
                    </div>
                    <select euiSelect name="date-type" id="date-type" formControlName="dateType">
                      <option value="">{{ 'elis.search.criteria.nat.date.select' | translate }}</option>
                      <option value="signature">{{ 'elis.search.criteria.nat.date.signature' | translate }}</option>
                      <option value="publication">{{ 'elis.search.criteria.nat.date.publication' | translate }}</option>
                    </select>
                  </div>
                  <div class="ecl-col-12 ecl-col-m-8 ecl-col-l-6">
                    <div class="ecl-u-mb-l">
                      <div class="eui-u-mb-s">
                        <input
                          euiInputRadio
                          id="specific-date-rb"
                          name="specific-date"
                          value="specific"
                          formControlName="dateRange"
                        />
                        <label euiLabel for="specific-date"
                          >{{ 'elis.search.criteria.nat.date.specific' | translate }}
                        </label>
                      </div>
                      <eui-datepicker
                        elisDateFormat
                        formControlName="specificDate"
                        id="specific-date"
                        dateOutputFormat="YYYY-MM-DD"
                        [placeholder]="'elis.search.criteria.datePlaceholder' | translate"
                      ></eui-datepicker>
                    </div>
                    <div class="eui-u-mb-s">
                      <input
                        euiInputRadio
                        id="date-range-rb"
                        name="specific-date"
                        value="range"
                        formControlName="dateRange"
                      />
                      <label euiLabel for="date-range">{{ 'elis.search.criteria.nat.date.range' | translate }} </label>
                    </div>

                    <div id="date-range" class="eui-u-inline-flex eui-u-flex-wrap">
                      <eui-datepicker
                        elisDateFormat
                        formControlName="dateFrom"
                        id="date-from"
                        dateOutputFormat="YYYY-MM-DD"
                        [placeholder]="'elis.search.criteria.datePlaceholder' | translate"
                        [maxDate]="maxDate"
                      ></eui-datepicker>
                      <div class="eui-u-mh-s"></div>
                      <eui-datepicker
                        elisDateFormat
                        formControlName="dateTo"
                        id="date-to"
                        dateOutputFormat="YYYY-MM-DD"
                        [placeholder]="'elis.search.criteria.datePlaceholder' | translate"
                        [minDate]="searchForm.nationalActMinDate"
                        [maxDate]="maxDate"
                      ></eui-datepicker>
                    </div>
                  </div>
                </div>

                <elis-validation-message
                  *ngIf="searchForm.controls.dateFrom?.errors?.required"
                  [validationMessageKey]="'elis.search.criteria.nat.dateFrom.error.required'"
                />
                <elis-validation-message
                  *ngIf="searchForm.controls.dateTo?.errors?.required"
                  [validationMessageKey]="'elis.search.criteria.nat.dateTo.error.required'"
                />
              </elis-form-field>

              <!-- for later delivery -->
              <!--elis-form-field
              [fieldName]="'elis.search.criteria.nat.theme.sectionTitle' | translate"
              [tipsText]="'elis.search.criteria.nat.theme.tips' | translate"
            >
              <label euiLabel for="vocab">{{
                'elis.search.criteria.nat.theme.nationalVocabularies' | translate
              }}</label>
              <select euiSelect name="vocab" id="vocab">
                <option value="one">One</option>
                <option value="two">Two</option>
                <option value="three">Three</option>
              </select>
            </elis-form-field-->
            </elis-search-section>

            <elis-search-section [sectionName]="'elis.search.criteria.eu.categoryTitle' | translate">
              <elis-form-field
                [fieldName]="'elis.search.criteria.eu.filter1.sectionTitle' | translate"
                [tipsText]="'elis.search.criteria.eu.filter1.tips' | translate"
              >
                <div class="eui-u-display-block eui-u-flex-row">
                  <div class="ecl-row eui-u-mb-l">
                    <div id="byYear" class="ecl-col-12 ecl-col-m-4">
                      <div class="eui-u-mb-s">
                        <input
                          euiInputRadio
                          id="eu-by-year"
                          name="eu-select-type"
                          value="eu-year"
                          formControlName="EUCriteriaType"
                        />
                        <label euiLabel for="eu-by-year">{{
                          'elis.search.criteria.eu.filter1.year' | translate
                        }}</label>
                      </div>

                      <eui-datepicker
                        type="year"
                        euiYearFormat
                        [placeholder]="'yyyy'"
                        id="eu-year"
                        dateOutputFormat="YYYY"
                        formControlName="EUYear"
                        [maxDate]="maxDate"
                      >
                      </eui-datepicker>
                    </div>

                    <div id="byNumber" class="ecl-col-12 ecl-col-m-4">
                      <div class="eui-u-mb-s">
                        <input
                          euiInputRadio
                          id="eu-by-number"
                          name="eu-select-type"
                          value="eu-number"
                          formControlName="EUCriteriaType"
                        />
                        <label euiLabel for="eu-by-number">
                          {{ 'elis.search.criteria.eu.filter1.number' | translate }}
                        </label>
                      </div>

                      <input
                        euiInputText
                        formControlName="EUCelex"
                        id="eu-by-number-val"
                        name="eu-by-number-val"
                        placeholder="{{ 'elis.search.criteria.inputPlaceholder' | translate }}"
                      />
                    </div>

                    <!-- for later delivery -->
                    <!--div id="byTitle" class="ecl-col-12 ecl-col-m-4">
                    <div class="eui-u-mb-s">
                      <input euiInputRadio id="eu-by-title" name="eu-select-type" value="eu-title" />
                      <label euiLabel for="eu-by-number">{{
                        'elis.search.criteria.eu.filter1.title' | translate
                      }}</label>
                    </div>

                    <input
                      euiInputText
                      id="eu-by-title-val"
                      placeholder="{{ 'elis.search.criteria.inputPlaceholder' | translate }}"
                    />
                  </div-->
                  </div>
                </div>

                <!-- for later delivery -->
                <!--div id="byType" class="eui-u-mt-m">
                <div class="eui-u-mb-s">
                  <input euiInputRadio id="eu-by-type" name="eu-select-type" value="eu-type" />
                  <label euiLabel for="eu-by-number">{{
                    'elis.search.criteria.eu.filter1.documentType' | translate
                  }}</label>
                </div>

                <select euiSelect name="eu-by-type-val" id="eu-by-type-val">
                  <option value="one">One</option>
                  <option value="two">Two</option>
                  <option value="three">Three</option>
                </select>
              </div-->
              </elis-form-field>

              <elis-form-field
                [fieldName]="'elis.search.criteria.eu.filter2.sectionTitle' | translate"
                [tipsText]="'elis.search.criteria.eu.filter2.tips' | translate"
              >
                <div class="eui-u-display-block eui-u-flex-row">
                  <div class="ecl-row eui-u-mb-l">
                    <!--div id="byEurovoc" class="ecl-col-12 ecl-col-m-6">
                    <div class="eui-u-mb-s">
                      <input
                        euiInputRadio
                        id="eu-by-eurovoc"
                        name="eu-select-rel"
                        value="eu-eurovoc"
                        [(ngModel)]="searchParams.searchByEU"
                      />
                      <label euiLabel for="eu-by-eurovoc">{{
                        'elis.search.criteria.eu.filter2.eurovoc' | translate
                      }}</label>
                    </div>
                    <select euiSelect name="eu-by-eurovoc-val" id="eu-by-eurovoc-val">
                      <option value="one">One</option>
                      <option value="two">Two</option>
                      <option value="three">Three</option>
                    </select>
                  </div-->
                    <div id="byrelation" class="ecl-col-12 ecl-col-m-6">
                      <div class="eui-u-mb-s">
                        <label euiLabel for="eu-by-relation-val">{{
                          'elis.search.criteria.eu.filter2.relationship' | translate
                        }}</label>
                        <select euiSelect name="eu-by-relation-val" id="eu-by-relation-val" formControlName="relation">
                          <option value="ANY">Any</option>
                          <ng-container *ngFor="let relation of searchForm.relations">
                            <option value="{{ relation }}">{{ relation }}</option>
                          </ng-container>
                        </select>
                      </div>
                    </div>
                  </div>
                </div>
                <div id="byLegalUri">
                  <div class="eui-u-mb-s">
                    <input
                      euiInputRadio
                      id="eu-by-legalUri"
                      name="eu-select-type"
                      value="eu-legalUri"
                      formControlName="EUCriteriaType"
                    />
                    <label euiLabel for="eu-by-legalUri">{{ 'elis.search.criteria.eu.filter2.uri' | translate }}</label>
                  </div>
                  <input euiInputText id="eu-act-uri" name="eu-act-uri" placeholder="URI" formControlName="EUActURI" />
                </div>
              </elis-form-field>
            </elis-search-section>
          </div>
        </form>
      </div>
    </div>
    <div id="search-debug" *ngIf="debug">
      DEBUG
      <pre>
            <code>
                {{searchForm.value| json }}
            </code>
                </pre>
    </div>
  </eui-page-content>
  );
</eui-page>
